Overview
GET
/bucket/access-groupsbucketList every access group the caller can see, across all buckets
List access-groups.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
Access groups
- accessGroupsBucketAccessGroup[]
Example
{
"accessGroups": [
{
"id": "string",
"ecosystemId": "string",
"bucketId": "string",
"name": "string",
"description": "string",
"kind": "string",
"metadata": {},
"createdAt": "string",
"updatedAt": "string"
}
]
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/bucket/access-groups" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/access-groups", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();